#!/bin/sh -e

echo "**** Building kernel..."
cd ttlinux
./buildkernel.sh
cd ..

echo "**** Building example app..."
cd example
make -s
cd ..

echo "**** Copying example app..."
cp example/barc_hw.a ramdisk/bin/ttn

echo "**** Building ramdisk (as root)..."
cd ramdisk
sudo ./mkrd.sh debug
cd ..

echo "**** Building makeimage..."
cd makeimage
make -s
cd ..

echo "**** Building ttsystem file..."
makeimage/makeimage ttsystem ramdisk/ramdisk ttlinux/arch/arm/boot/zImage

echo "**** Successfully built ttsystem file:"
ls -l ttsystem

# EOF
